class Nagios
  attr_accessor :db
  attr_accessor :all
  attr_accessor :problems

  def initialize (config)
    @db = Influx.new(config['influxdb']['host'], config['nagios']['dbname'], config['influxdb']['port'], config['influxdb']['user'], config['influxdb']['password'])
    @status = NagiosAnalyzer::Status.new(config['nagios']['file'], include_ok: true)
    @all = @status.service_items
    @problems = @status.service_problems
    return @status
  end

  def host_list()
    host_list = []
    self.all.each do |service|
      host_list << service.host_name
    end
    host_list.uniq!.sort!
  end

  def status_list()
    status_list = []
    self.all.each do |service|
      status_list << service.status
    end
    status_list.uniq!.sort!
  end

  def by_host(host)
    issues = self.all.select{ |service| service.host_name == host}
    return issues
  end

  def by_status(status)
    issues = self.all.select{ |service| service.status == status}
    return issues
  end
  
end